---
- name: Manage domain controller/member
  microsoft.ad.domain_controller:
    dns_domain_name: "{{ item['dns_domain_name'] | default(omit) }}"
    domain_admin_user: "{{ item['domain_admin_user'] | default(omit) }}"
    domain_admin_password: "{{ item['domain_admin_password'] | default(omit) }}"
    safe_mode_password: "{{ item['safe_mode_password'] | default(omit) }}"
    state: "{{ item['state'] | default(omit) }}"
    reboot: "{{ item['reboot'] | default(omit) }}"
    database_path: "{{ item['database_path'] | default(omit) }}"
    domain_log_path: "{{ item['domain_log_path'] | default(omit) }}"
    install_dns: "{{ item['install_dns'] | default(omit) }}"
    install_media_path: "{{ item['install_media_path'] | default(omit) }}"
    local_admin_password: "{{ item['local_admin_password'] | default(omit) }}"
    read_only: "{{ item['read_only'] | default(omit) }}"
    site_name: "{{ item['site_name'] | default(omit) }}"
    sysvol_path: "{{ item['sysvol_path'] | default(omit) }}"
  with_items: >-
    {{ ad_resource_item['resources'] | default([ad_resource_item]) }}
  when:
    - ad_resource_item is defined
  loop_control:
    label: "{{ item['dns_domain_name'] }}"
  register: ad_resource_item_results

- name: Debug
  ansible.builtin.include_tasks: debug.yml
